PropertyValueException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class PropertyValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.PropertyValueException

All Implemented Interfaces:
  Serializable

    public class PropertyValueException

extends HibernateException

Thrown when the (illegal) value of a property can not be persisted. There are two main causes:

- a property declared `not-null="true"` is null
- an association references an unsaved transient instance

See Also:
  Serialized Form

Constructor Summary
`PropertyValueException(String s, String entityName, String propertyName)`

Method Summary
`static String` | `buildPropertyPath(String parent, String child)` Return a well formed property path.
`String` | `getEntityName()`
`String` | `getMessage()`
`String` | `getPropertyName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyValueException

    public PropertyValueException(String s,
                                  String entityName,
                                  String propertyName)

Method Detail

### getEntityName

    public String getEntityName()

### getPropertyName

    public String getPropertyName()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### buildPropertyPath

    public static String buildPropertyPath(String parent,
                                           String child)

  Return a well formed property path. Basicaly, it will return parent.child

  Parameters:
    `parent` - parent in path
    `child` - child in path
  Returns:
    parent-child path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.